mariadb/mariadb-10.2.4-logrotate.patch
Adam Majer e4b2876888 Accepting request 563119 from home:kstreitova:branches:server:database
- update to 10.2.12 GA
   * release notes and changelog:
     https://mariadb.com/kb/en/library/mariadb-10212-release-notes/
     https://mariadb.com/kb/en/library/mariadb-10212-changelog/
- remove mysql-community-server-5.5.6-safe-process-in-bin.patch
  becuase this moving is done in the specfile
- get rid of the archive with patches (remove mysql-patches.tar.xz
  and series files), handle patches in the standard way
- add comments to the section with removing unused files (based on
  https://lists.launchpad.net/maria-developers/msg11028.html)
- put rm statements together
- install the new upstream systemd-tmpfiles configuration file
  'tmpfiles.conf' and rename it to 'mariadb.conf' in order to
  follow the manual
- remove the new upstream systemd-sysusers configuration file as
  we handle creating of mysql user in the specfile
- mysql.service: remove calling of the wait function and let
  systemd to do this job. Switch from 'Type=simple' to
  'Type=notify' and add TimeoutSec=300
- rename unit files from mysql to mariadb and add mysql alias for
  the backward compatibility [bsc#1067443]
  * mysql.service -> mariadb.service
  * mysql.target -> mariadb.target
  * mysql@.service -> mariadb@.service
- remove configuration-tweaks.tar.xz and move configuration to
  my.ini/my.cnf file (omit default_plugins.cnf as all
  configuration here was commented out)
- add a numeric prefix for galera.cnf file in order to allow users
  to speficy in which order the configs will be loaded within the
  my.cnf.d directory [bsc#1055268]

OBS-URL: https://build.opensuse.org/request/show/563119
OBS-URL: https://build.opensuse.org/package/show/server:database/mariadb?expand=0&rev=203
2018-01-09 18:28:29 +00:00

36 lines
1.0 KiB
Diff

PATCH-P0-FIX-SUSE: Fix log file path for logrotate
In SUSE we've got MySQL log in different directory. It's located in
/var/log/mysql by default. It also adds some extra error message.
Maintainer: Michal Hrusecky <Michal.Hrusecky@opensuse.org>
Index: support-files/mysql-log-rotate.sh
===================================================================
--- support-files/mysql-log-rotate.sh.orig
+++ support-files/mysql-log-rotate.sh
@@ -18,7 +18,7 @@
# ATTENTION: This /root/.my.cnf should be readable ONLY
# for root !
-@localstatedir@/mysqld.log {
+/var/log/mysql/mysqld.log {
# create 600 mysql mysql
notifempty
daily
@@ -32,6 +32,14 @@
then
@bindir@/mysqladmin --local flush-error-log \
flush-engine-log flush-general-log flush-slow-log
+ ret=$?
+ if test $ret -ne 0
+ then
+ echo "/etc/logrotate.d/mariadb failed, probably because" >&2
+ echo "the root acount is protected by password." >&2
+ echo "See comments in /etc/logrotate.d/mariadb on how to fix this" >&2
+ exit $ret
+ fi
fi
endscript
}